Bug 68529 - Wishlist: Occultation detection feature
Summary: Wishlist: Occultation detection feature
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Applications
Component: general (show other bugs)
Version: 0.9
Platform: OpenSUSE Linux
: NOR wishlist with 80 votes (vote)
Target Milestone: ---
Assignee: Jasem Mutlaq
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-11-18 22:22 UTC by Dudelman
Modified: 2011-02-23 00:10 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dudelman 2003-11-18 22:22:00 UTC
Version:           0.9 (using KDE KDE 3.1.93DevelKDE 1.2)
Installed from:    Compiled From SourcesI Don't KnowSuSE RPMs
Compiler:          gcc (GCC) 3.2 
OS:          Linux

A nice feature of some proprietary planetarium program I've see is to calculate occurences of occultations of e.g. planets in front of other celestial bodies. For example, the track of Mars across the sky can be simulated and all objects that come closer to Mars than a couple of arcseconds are possibly occultated by Mars. Their light will pass through the martian atmosphere and the gradual extinction can be used as a probe of the martian atmosphere (same for other planets, of course). 

Is there a possibility to implement such a feature?

Best regards - thanks in advance - Dudelman.
Comment 1 kstars 2004-01-22 06:52:57 UTC
Good idea, and I might as well add eclipse detection to this, since the code will be similar :)
Comment 2 Akarsh Simha 2008-07-12 19:44:24 UTC
You could, in principle use the Conjunctions tool to do that. But it definitely does require refinement.
Comment 3 Jérôme SONRIER 2010-01-10 02:59:30 UTC
SVN commit 1072357 by jsonrier:

Conjunction tool improvements.
We can now compute conjunctions between a planet and a type of object (stars, galaxies, solar system,...).

GUI: 
CCBUG: 68529
CCMAIL: kstars-devel@kde.org



 M  +222 -45   conjunctions.cpp  
 M  +14 -2     conjunctions.h  
 M  +146 -113  conjunctions.ui  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1072357